Page MenuHomePhabricator

Notice: Undefined index: title in /srv/mediawiki/php-1.28.0-wmf.4/extensions/LiquidThreads/classes/Hooks.php on line 949
Closed, ResolvedPublic

Description

This notice is popping up fairly frequently in fatalmonitor. It is currently the most frequently occurring log message:

Notice: Undefined index: title in /srv/mediawiki/php-1.28.0-wmf.4/extensions/LiquidThreads/classes/Hooks.php on line 949

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 2 2016, 3:07 PM
Paladox added a subscriber: Paladox.Jun 2 2016, 4:36 PM
Aklapper triaged this task as High priority.Jun 3 2016, 11:17 AM
This comment was removed by Paladox.
Reedy added a subscriber: Reedy.Jun 3 2016, 1:32 PM

Don't think it matters much. The API for whatever reason isn't returning a title, and LQT is still trying to process it.

Ideally we need a replicable url

Change 293247 had a related patch set uploaded (by MaxSem):
Fix indefined index warning

https://gerrit.wikimedia.org/r/293247

Change 293247 merged by jenkins-bot:
Fix undefined index warning

https://gerrit.wikimedia.org/r/293247

Change 293435 had a related patch set uploaded (by MaxSem):
Fix undefined index warning

https://gerrit.wikimedia.org/r/293435

Change 293437 had a related patch set uploaded (by MaxSem):
Fix undefined index warning

https://gerrit.wikimedia.org/r/293437

Change 293435 merged by jenkins-bot:
Fix undefined index warning

https://gerrit.wikimedia.org/r/293435

Change 293437 merged by jenkins-bot:
Fix undefined index warning

https://gerrit.wikimedia.org/r/293437

MaxSem closed this task as Resolved.Jun 8 2016, 11:22 PM
MaxSem claimed this task.
MaxSem added a subscriber: MaxSem.

Fix deployed, works.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM